define(['./JsslError'], function (JsslError) {
  'use strict';

  function MissingArgumentError(argumentName) {
    var _name = this.name = this.constructor.name;
    this.message = 'Missing argument "' + argumentName + '"';
    try { throw new Error(); } catch(e) { this.stack = e.stack.split('\n').filter(function(l) { return !new RegExp('^(\\s+at (new )?)?' + _name + '( |@)').test(l); }).join('\n').replace(/^Error/, this.toString()); }
  }
  MissingArgumentError.prototype = new JsslError();
  MissingArgumentError.prototype.constructor = MissingArgumentError;
  if(!MissingArgumentError.name) MissingArgumentError.name = 'MissingArgumentError';
  /*
  return JsslError.extend('MissingArgumentError', function (argumentName) {
    this.message = 'Missing argument "' + argumentName + '"';
  });
  /*
  function MissingArgumentError(argumentName) {
    this.message = 'Missing argument "' + argumentName + '"';
  }
  MissingArgumentError.prototype = new JsslError();
  MissingArgumentError.prototype.constructor = MissingArgumentError;

  return MissingArgumentError;
  */

  return MissingArgumentError;
});
