/**
 * Unit tests for vcloud/Session
 */
define(['./config', 'jquery', 'vcloud/Session'], function(config, $, Session) {

  QUnit.asyncTest('vCloud authentication', function () {

    var session = new Session(config.api);

    session.authenticate(config.credentials)
      .then(function (data, textStatus, jqXHR) {
        QUnit.ok(false, 'Authentication succeeded: ' + data);
        QUnit.start();
      })
      .fail(function (jqXHR, textStatus, errorThrown) {
        QUnit.ok(false, 'Authentication failed: ' + textStatus);
        QUnit.start();
      });
  });

});
