
define('jssl/core/Initializer', ['./Class'], function(Class) {
  return Class.extend('Initializer', {

    /**
     * Initializer constructor. Run all this.init*() methods with the same
     * parameters as the constructor.
     *
     * @constructor
     */
    init: function() {
      var pattern = /^init[A-Z]/,
          i;
      for(i in this) {
        if(pattern.test(i) && typeof this[i] === 'function') {
          this[i].apply(this, arguments);
        }
      }
    }
  });
});
