
var require = {
  baseUrl : '../lib',
  paths: {
    text  : 'requirejs-text/text',
    tests : '../test',
    jssl  : '../src/jssl',
    vcloud: '../src/vcloud',
    dojo  : 'dojo',
    jquery: 'jquery/jquery',
    sizzle: 'sizzle/sizzle'
    // .../mymodule/            => .../mymodule/index
    // .../mymodule/index.html  => .../mymodule/index
    // .../mymodule/mytest.html => .../mymodule/mytest
  }
};

if (!Function.prototype.bind) {

  Function.prototype.bind = function (oThis) {
    'use strict';

    if (typeof this !== 'function') {
      // closest thing possible to the ECMAScript 5 internal IsCallable function
      throw new TypeError('Function.prototype.bind - what is trying to be bound is not callable');
    }

    var aArgs = Array.prototype.slice.call(arguments, 1),
        fToBind = this,
        FNOP = function () {},
        fBound = function () {
          return fToBind.apply(
            this instanceof FNOP && oThis ? this : oThis,
            aArgs.concat(Array.prototype.slice.call(arguments))
          );
        };

    FNOP.prototype = this.prototype;
    fBound.prototype = new FNOP();

    return fBound;
  };
}
